Signs a transaction with the given end user EVM account and sends it to the indicated supported network. This API handles nonce management and gas estimation, leaving the developer to provide only the minimal set of fields necessary to send the transaction. The transaction should be serialized as a hex string using RLP.
The transaction must be an EIP-1559 dynamic fee transaction.
Transaction fields and API behavior
to (Required): The address of the contract or account to send the transaction to.
chainId (Ignored): The value of the chainId field in the transaction is ignored.
The transaction will be sent to the network indicated by the network field in the request body.
nonce (Optional): The nonce to use for the transaction. If not provided, the API will assign
a nonce to the transaction based on the current state of the account.
maxPriorityFeePerGas (Optional): The maximum priority fee per gas to use for the transaction.
If not provided, the API will estimate a value based on current network conditions.
maxFeePerGas (Optional): The maximum fee per gas to use for the transaction.
If not provided, the API will estimate a value based on current network conditions.
gasLimit (Optional): The gas limit to use for the transaction. If not provided, the API will estimate a value
based on the to and data fields of the transaction.
value (Optional): The amount of ETH, in wei, to send with the transaction.
data (Optional): The data to send with the transaction; only used for contract calls.
accessList (Optional): The access list to use for the transaction.
A JWT signed using the developer's own JWT private key (in the case of JWT authentication), or an end user JWT signed by CDP, encoded in base64. This is used for End User Account APIs.
A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.
An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.
1 - 128A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.
The ID of the end user.
^[a-zA-Z0-9-]{1,100}$"e051beeb-7163-4527-a5b6-35e301529ff2"
The ID of the CDP Project. Required for end users authenticated using custom auth (i.e. a non-CDP JWT provider).
^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$"8e03978e-40d5-43e8-bc93-6894a57f9324"
The 0x-prefixed address of the EVM account belonging to the end user.
^0x[0-9a-fA-F]{40}$"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
The network to send the transaction to.
base, base-sepolia, ethereum, ethereum-sepolia, avalanche, polygon, optimism, arbitrum, arbitrum-sepolia, world, world-sepolia "base-sepolia"
The RLP-encoded transaction to sign and send, as a 0x-prefixed hex string.
"0xf86b098505d21dba00830334509431415daf58e2c6b7323b4c58712fd92952145da79018080"
Required when not using delegated signing. The ID of the Temporary Wallet Secret that was used to sign the X-Wallet-Auth Header.
^[a-zA-Z0-9-]{1,100}$"e051beeb-7163-4527-a5b6-35e301529ff2"
Successfully signed and sent transaction.
The hash of the transaction, as a 0x-prefixed hex string.
"0xf8f98fb6726fc936f24b2007df5cb20e2b8444ff3dfaa2a929335f432a9be2e7"